//
//  CustomerServiceVC.swift
//  MobilePortal
//
//  Created by caiyang on 2020/4/7.
//  Copyright © 2020 yin chen. All rights reserved.
//

import UIKit

class CustomerServiceVC: BaseViewController {

    var httpArray = NSMutableArray()
    var delegate:CustomerServiceVCDelegate!
    var dataSource = NSMutableArray()
    var block:passParameterBlock!
    
    
    lazy var myTableView: UITableView = {
        let myTableView = UITableView.init()
        self.view.addSubview(myTableView)
        myTableView.snp.makeConstraints { (make) in
            make.width.height.equalToSuperview()
            make.center.equalToSuperview()
        }
        if #available(iOS 11.0, *) {
            myTableView.contentInsetAdjustmentBehavior = .never
            myTableView.scrollIndicatorInsets = myTableView.contentInset
            //            myTableView.contentInset = UIEdgeInsetsMake(UIApplication.shared.statusBarFrame.size.height, 0, 0, 0)
            myTableView.contentInset = UIEdgeInsetsMake(0, 0, 0, 0)
        }else{
            myTableView.contentInset = UIEdgeInsetsMake(-64, 0, 0, 0)
        }
        registerCell(myTableView, cell: CustomerTableViewCell.self)
        myTableView.backgroundColor = UIColor.white
        setExtraCellLineHidden(tableView: myTableView)
        return myTableView
    }()
    override func viewDidLoad() {
        super.viewDidLoad()
        addInitTableView()
        // Do any additional setup after loading the view.
    }
    


}
